dpkg-vendor(1)

NAMN
dpkg-vendor - frågar efter information om distributionsåterförsäljare

SYNOPS
dpkg-vendor [flaggor...] åtgärd

BESKRIVNING
dpkg-vendor är ett verktyg för att fråga efter återförsäljare som finns i /usr/pkg/share/dpkg/dpkg/origins. /usr/pkg/share/dpkg/dpkg/origins/default innehåller information om den aktuella återförsäljaren.

The origin files provide metadata about specific vendors, such as their URL or where to file bug reports, and are usually used both to determine the behavior of tools and resulting contents during package builds targeting a specific vendor, and to describe the provenance of packages.

Packages can explicitly declare their vendor by including an Origin field, otherwise the vendor for a package without such field is assumed to be the one pointed to by the default origin symbolic link.

The default symbolic link is also used to denote the origin of the current installation managed by dpkg, be that a full distribution or an overlay on top of an existing base system that contains either no packaging system or a native one.

Kommandot introducerades i dpkg 1.15.1.

KOMMANDON

--is återförsäljare
    Avslutar med 0 om den aktuella återförsäljaren är återförsäljare. I annat fall avslutas programmet med 1.

--derives-from återförsäljare
    Avslutar med 0 om den aktuella återförsäljardistributionen är härledd från återförsäljare. I annat fall avslutas programmet med 1. Använder fältet Parent för att bläddra genom alla föräldrar till den aktuella återförsäljaren.

--query fält
    Skriver värdet för det återförsäljarspecifika fältet fält för den aktuella återförsäljaren på standard ut.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--vendor återförsäljare
    Anta att den aktuella återförsäljaren är återförsäljare istället för att upptäcka det via miljövariabeln DEB_VENDOR eller /usr/pkg/share/dpkg/dpkg/origins/default.

MILJÖVARIABLER

DEB_VENDOR
    Inställningen anger den aktuella återförsäljaren. Om den inte är satt kommer återförsäljaren att identifieras genom att läsa /usr/pkg/share/dpkg/dpkg/origins/default.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

FILER

  Paketeringsstöd

/usr/pkg/share/dpkg/vendor.mk
    Makefile snippet that sets the current vendor and its parent into variables, and provides make macros to check for derivatives (since dpkg 1.16.1).

SE ÄVEN
deb-origin(5).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.